# Uses of Class
org.pentaho.reporting.libraries.resourceloader.ResourceException

Packages that use ResourceException
Package
Description
org.pentaho.reporting.libraries.resourceloader
org.pentaho.reporting.libraries.resourceloader.cache
org.pentaho.reporting.libraries.resourceloader.loader.file
org.pentaho.reporting.libraries.resourceloader.loader.raw
org.pentaho.reporting.libraries.resourceloader.loader.resource
org.pentaho.reporting.libraries.resourceloader.loader.zip

## Uses of ResourceException in org.pentaho.reporting.libraries.resourceloader

Subclasses of ResourceException in org.pentaho.reporting.libraries.resourceloader
Modifier and Type
Class
Description
`class`
`ContentNotRecognizedException`
The ContentNotRecognizedException signals that none of the selected resource factories was able to handle the request.
`class`
`ResourceCreationException`
Creation-Date: 05.04.2006, 17:33:09
`class`
`ResourceKeyCreationException`
Creation-Date: 05.04.2006, 13:02:23
`class`
`ResourceLoadingException`
Creation-Date: 05.04.2006, 13:03:37
`class`
`UnrecognizedLoaderException`
This exception is thrown whenever a resource-manager tries to load data using an invalid key.
Methods in org.pentaho.reporting.libraries.resourceloader that throw ResourceException
Modifier and Type
Method
Description
`Object`
CompoundResource.`getResource()`
`Object`
Resource.`getResource()`
`String`
DefaultResourceManagerBackend.`serialize(ResourceKey bundleKey, ResourceKey key)`
Creates a String version of the `ResourceKey` that can be deserialized with the `deserialize()` method.
`String`
ResourceBundleLoader.`serialize(ResourceKey bundleKey, ResourceKey key)`
Serializes the resource key to a String representation which can be recreated using the `deserialize(ResourceKey)`method.``
`String`
ResourceLoader.`serialize(ResourceKey bundleKey, ResourceKey key)`
Serializes the resource key to a String representation which can be recreated using the `deserialize(ResourceKey)`method.``
`String`
ResourceManager.`serialize(ResourceKey bundleKey, ResourceKey key)`
Creates a String version of the `ResourceKey` that can be deserialized with the `deserialize()` method.
`String`
ResourceManagerBackend.`serialize(ResourceKey bundleKey, ResourceKey key)`

## Uses of ResourceException in org.pentaho.reporting.libraries.resourceloader.cache

Methods in org.pentaho.reporting.libraries.resourceloader.cache that throw ResourceException
Modifier and Type
Method
Description
`Object`
BundleCacheResourceWrapper.`getResource()`

## Uses of ResourceException in org.pentaho.reporting.libraries.resourceloader.loader.file

Methods in org.pentaho.reporting.libraries.resourceloader.loader.file that throw ResourceException
Modifier and Type
Method
Description
`String`
FileResourceLoader.`serialize(ResourceKey bundleKey, ResourceKey key)`
Generates a String representation of the ResourceKey specified.

## Uses of ResourceException in org.pentaho.reporting.libraries.resourceloader.loader.raw

Methods in org.pentaho.reporting.libraries.resourceloader.loader.raw that throw ResourceException
Modifier and Type
Method
Description
`String`
RawResourceLoader.`serialize(ResourceKey bundleKey, ResourceKey key)`
Creates a String version of the resource key that can be used to generate a new ResourceKey object via deserialization

## Uses of ResourceException in org.pentaho.reporting.libraries.resourceloader.loader.resource

Methods in org.pentaho.reporting.libraries.resourceloader.loader.resource that throw ResourceException
Modifier and Type
Method
Description
`String`
ClassloaderResourceLoader.`serialize(ResourceKey bundleKey, ResourceKey key)`
Creates a String version of the resource key that can be used to generate a new ResourceKey object via deserialization

## Uses of ResourceException in org.pentaho.reporting.libraries.resourceloader.loader.zip

Methods in org.pentaho.reporting.libraries.resourceloader.loader.zip that throw ResourceException
Modifier and Type
Method
Description
`String`
ZipResourceLoader.`serialize(ResourceKey bundleKey, ResourceKey key)`